Name: xos-logos
Version: 4.9.16
Release: 1.XOS.90 

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-root

Summary: X/OS Linux migration package for xos-logos
License: Copyright © 2004-2008 X/OS Experts in Open Systems BV. All rights reserved.
Group: System Environment/Base
Requires: redhat-logos >= 4.9.99-8.el5.centos

%description
This is the xos-logos package used for the migration of X/OS Linux 5
to CentOS 5.  It removes the old contents and pulls in the CentOS version
of this package, called redhat-logos.

The X/OS Linux gdm theme directory %{_datadir}/gdm/themes/xoslinux is
replaced by a symlink to the CentOS gdm theme directory (CentOSCubes),
so that the migration does not break existing gdm configurations.

%prep

%build

%install
mkdir -p %{buildroot}

%clean
rm -rf %{buildroot}

%triggerpostun -- %{name} < %{version}-%{release}
XLTHEME=%{_datadir}/gdm/themes/xoslinux
if [ ! -f $XLTHEME/xoslinux.xml ]; then
    # the X/OS Linux version of redhat-artwork already has been removed,
    # so we can create the symlink for the old X/OS Linux theme now
    [ ! -d $XLTHEME -o -L $XLTHEME ] || mv $XLTHEME $XLTHEME.rpmsave
    [ -L $XLTHEME ] || ln -snf CentOSCubes $XLTHEME
fi

%triggerpostun -- redhat-artwork < 5.1.0
XLTHEME=%{_datadir}/gdm/themes/xoslinux
if [ ! -f $XLTHEME/logo.png ]; then
    # the X/OS Linux version of redhat-logos already has been removed,
    # so we can create the symlink for the old X/OS Linux theme now
    [ ! -d $XLTHEME -o -L $XLTHEME ] || mv $XLTHEME $XLTHEME.rpmsave
    [ -L $XLTHEME ] || ln -snf CentOSCubes $XLTHEME
fi

%files
%defattr(-,root,root)

%changelog
* Mon Aug 25 2008 X/OS Linux Team <xoslinux@xos.nl> - 4.9.16-1.XOS.90 
- Final rebuild in X/OS Linux build system.

* Fri Aug 08 2008 X/OS Linux Team <xoslinux@xos.nl> - 4.9.16-1.XOS.90
- Build for X/OS Linux 5.
- Take care of a symlink /usr/share/gdm/themes/xoslinux to CentOSCubes,
  to make sure that any references to xoslinux stay working correctly.
  Because RPM prevents replacing a directory with a symlink, this has
  to be done in trigger scripts, outside the RPM database.
